<?php
require_once ("VLSIuser.php");


// funkce pro vypis rolovacich tlacitek .... $row-aktualni stranka
function rolovani2($row,$pocetlistu,$prj)
{if ($pocetlistu>1){

   if ($row==2) {echo("<a href=\"alledtpr.php?prj=$prj&amp;row=1\"> &lt;&lt; </a> ");}
   if ($row>2) {echo(" <a href=\"alledtpr.php?prj=$prj&amp;row=1\"> &lt;&lt;
                      </a>");$pom=$row-1;
                echo(" <a href=\"alledtpr.php?prj=$prj&amp;row=$pom\"> &lt;
                      </a> ");}
   echo(" <span style=\"color:red;\">$row/$pocetlistu </span>");
   if ($row+1==$pocetlistu){echo("<a href=\"alledtpr.php?prj=$prj&amp;row=$pocetlistu\"> &gt;&gt; </a> ");}
   if ($row+1<$pocetlistu) {$pom=$row+1;echo(" <a href=\"alledtpr.php?prj=$prj&amp;row=$pom\"> &gt; </a> ");
   echo(" <a href=\"alledtpr.php?prj=$prj&amp;row=$pocetlistu\"> &gt;&gt;
                      </a>");
   }}}
function hlavicka ($user){?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
   "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="cs">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1250" />
        <title>Editing projects</title>
        
 <script type="text/javascript">
function kontrola_formulare()
{
  var text_nazev = self.document.forms.alledtpr.nazev;
  var text_nazeveng = self.document.forms.alledtpr.nazeveng;
  var text_rozsah = self.document.forms.alledtpr.rozsah;
  var text_literatura = self.document.forms.alledtpr.literatura;
  var text_resitel = self.document.forms.alledtpr.resitel;
  var text_odkaz = self.document.forms.alledtpr.odkaz;

 if (text_nazev.value.length==0)
 {
 text_nazev.focus();
 alert("Musíte vyplnit Název.");
 return false;
 }
 if (text_nazev.value.length>320)
 {
 text_nazev.focus();
 alert("Název nesmí být delší jak 320 znaků.");
 return false;
 }
 if (text_nazeveng.value.length>320)
 {
 text_nazeveng.focus();
 alert("Anglický název nesmí být delší jak 320 znaků.");
 return false;
 }
 if (text_rozsah.value.length>40)
 {
 text_rozsah.focus();
 alert("Rozsah nesmí být delší jak 40 znaků.");
 return false;
 }
 if (text_literatura.value.length>320)
 {
 text_literatura.focus();
 alert("Literatura nesmí být delší jak 320 znaků.");
 return false;
 }

if (text_resitel.value.length>40)
 {
 text_resitel.focus();
 alert("Řešitel nesmí být delší jak 40 znaků.");
 return false;
 }
 if (text_odkaz.value.length>160)
 {
 text_odkaz.focus();
 alert("Odkaz nesmí být delší jak 160 znaků.");
 return false;
 }

}
</script>
        
    </head>
    <body style="padding:20px;">
<h1>Editace projektu</h1>
<?php echo "Jste Přihlášen jako: <b>".$user['fullname']."</b><br />";?>
<br />
<?php }

//kontrola práva pro editaci všech
$adm=false;
foreach($admin as $hodnota){
if ($user['username']==$hodnota){$adm=true;}
}
if (!$adm){die("Nejste admin.</body></html>");}
//************************************************
//************************************************
//***********************************************


if (!isset($_GET['idprj'])){
  hlavicka($user);
//****** pokud neni zadano id, tak se vypise seznam projektu



//  pokud neni zadan stav projektu skonci se s chybou
if (!isset($_GET['prj'])){die("Nesprávný přístup, stránka nebude zobrazena");}
switch ($_GET['prj']){
    case "offered":echo "Nabizene projekty: <br />";
                $dotaz="SELECT prjid,nazev,zadavatel FROM projects WHERE (zadano=false) ORDER BY zadavatel,nazev";
                $dotaz2="SELECT COUNT(*) FROM projects WHERE (zadano=false)";break;
    case "current":echo "Bezici projekty: <br />";
                $dotaz="SELECT prjid,nazev,zadavatel FROM projects WHERE (zadano=true) ORDER BY zadavatel,nazev";
                $dotaz2="SELECT COUNT(*) FROM projects WHERE (zadano=true)";break;
    case "old":echo "Stare projekty: <br />";
                $dotaz="SELECT prjid,nazev,zadavatel FROM oldproj ORDER BY zadavatel,nazev";
                $dotaz2="SELECT COUNT(*) FROM oldproj";break;
    default: die ("Pokus o nabourání skriptu. Stránka nebude zobrazena </body></html>");
}
$prj=$_GET['prj'];

if (isset($_GET['row'])){$row=$_GET['row'];} else{$row=1;}
//pripojeni k nasi databazi
//pripojeni do DB
if(!file_exists(db_cesta."dbconn.php")){die("Nelze se pripojit k db.");} //kontrola zda dany soubor existuje
 require db_cesta."dbconn.php";

// spocteni radku k vypsani
$res=$db->query($dotaz2);
//kontrola zda sme dostali z databaze vysledek a ulozeni do $pocetradku
if (gettype($res) != 'resource' || !pg_numrows($res)) {
     echo ("Nastala chyba. Stránka nebude správně zobrazena");
	} else {
      $res=pg_fetch_row($res);
      $pocetradku=$res[0];
}
// kontrola yda je row cislo
if (is_numeric($row)){
//pretzpovani na int, kdyby cislo bylo jineho tvaru
    $row=(int)$row;
//spocteni poctu listu
     $pocetlistu=$pocetradku/pokolika;
     $pocetlistu=ceil($pocetlistu);
//kontrola zda row je v mezich poctu listu
     if ($row<1||$row>$pocetlistu){$row=1;}
}else{$row=1;}

$dotaz.=" LIMIT ".pokolika." OFFSET ".(($row-1)*pokolika);

$res=$db->query ($dotaz);
if (gettype($res) != 'resource' || !pg_numrows($res)) {
     echo ("Nastala chyba nebo neexistuje žádný záznam. Stránka nebude správně zobrazena");
	} else {
// vypsani rolovani projektu
rolovani2($row,$pocetlistu,$prj);
echo("<br /><ul style=\"border: 1px solid #ffd291;background-color:#fff8ce;color:black;\">");
//vypisovani po jednom projektu
$lichyvypis=true;
$zzadav="";
while($data = pg_fetch_assoc($res)){
if($zzadav!=$data['zadavatel']){$zzadav=$data['zadavatel'];if($lichyvypis) {$lichyvypis=false;$barva="#ffefd7";}else{$lichyvypis=true;$barva="#fff8ce";} }

echo "<li style=\"background-color:$barva;color:black;\">";
echo " ".$data['zadavatel']." <a href=\"alledtpr.php?prj=".$prj."&amp;idprj=".$data['prjid']."\"> ".htmlspecialchars($data['nazev'])."</a>";
echo "</li>";
}
echo("</ul><br /><br />");
}
$db->close();
}
else
//*************************************************************
//*************************************************************
//**************** zobrazeni formulare
{

$idprj=$_GET['idprj'];
// kontrola zda je idprj cislo
if (is_numeric($idprj)){
//pretypovani na int, kdyby cislo bylo jineho tvaru
    $idprj=(int)$idprj;
}else{die("Doslo k chybě nebo pokusu o utok</body></html>");}

//  pokud neni zadan stav projektu skonci se s chybou
if (!isset($_GET['prj'])){die("Nesprávný přístup, stránka nebude zobrazena");}

  switch ($_GET['prj']){
    case "offered":$dotaz="SELECT * FROM projects WHERE (prjid=".$idprj.")";$pop="popis";break;
    case "current":$dotaz="SELECT * FROM projects WHERE (prjid=".$idprj.")";$pop="popis";break;
    case "old":$dotaz="SELECT * FROM oldproj WHERE (prjid=".$idprj.")";$pop="anotace";break;
    default:die ("Pokus o nabourání skriptu. Stránka nebude zobrazena </body></html>");
}
session_start();
$jmsess="ulozALLEDTPR";
$jmsess.=$_GET['prj'];
$_SESSION[$jmsess]=true;
hlavicka($user);


//pripojeni do DB
if(!file_exists(db_cesta."dbconn.php")){unseting($jmsess);die("Nelze se pripojit k db.");} //kontrola zda dany soubor existuje
 require db_cesta."dbconn.php";

$res=$db->query ($dotaz);
if (gettype($res) != 'resource' || !pg_numrows($res)) {
     echo ("Nastala chyba nebo neexistuje žádný záznam. Stránka nebude správně zobrazena");unseting($jmsess);
	} else {
$data = pg_fetch_assoc($res);
//*******************************************************
//*******************************************************
$prj=$_GET['prj'];
$idprj=$data['prjid'];
//***************************
//***************************
//zobrazeni navodu
echo "<br />
<p style=\"width:400px;\">Položky označené červenou hvězdičkou musí být vyplněny. Tagy nebudou interpretovány. </p>";

//zobrazeni chyb
if(isset($_GET['chybinazev']) && $_GET['chybinazev']==true){echo "<br /><b><font color=\"red\">Musíte vyplnít políčko název</font></b>";}
if(isset($_GET['nazevchyba'])&& $_GET['nazevchyba']==true){echo "<br /><b><font color=\"red\">Délka názvu přesahuje 320 znaků!</font></b>"; }
if(isset($_GET['nazevengchyba'])&& $_GET['nazevengchyba']==true){echo "<br /><b><font color=\"red\">Délka anglického názvu přesahuje 320 znaků!</font></b>"; }
if(isset($_GET['rozsahchyba'])&& $_GET['rozsahchyba']==true){echo "<br /><b><font color=\"red\">Délka rozsahu přesahuje 40 znaků!</font></b>"; }
if(isset($_GET['literchyba'])&& $_GET['literchyba']==true){echo "<br /><b><font color=\"red\">Délka literatury přesahuje 320 znaků!</font></b>"; }
if(isset($_GET['resitelchyba'])&& $_GET['resitelchyba']==true){echo "<br /><b><font color=\"red\">Délka řešitele přesahuje 40 znaků!</font></b>"; }
if(isset($_GET['odkazchyba'])&& $_GET['odkazchyba']==true){echo "<br /><b><font color=\"red\">Délka odkaz přesahuje 160 znaků!</font></b>"; }
if(isset($_GET['odkazchyba2'])&& $_GET['odkazchyba2']==true){echo "<br /><b><font color=\"red\">Zadali jste neplatný tvar odkazu! Odkaz musí začínat http:// nebo www...</font></b>"; }

//inicializace formulare

if (isset($_GET['nazev'])){
  if ($slashes==1){$nazev=htmlspecialchars(stripslashes($_GET['nazev']));}else
  {$nazev=htmlspecialchars($_GET['nazev']);}
} else{$nazev=htmlspecialchars($data['nazev']);}

if (isset($_GET['nazeveng'])){
  if ($slashes==1){$nazeveng=htmlspecialchars(stripslashes($_GET['nazeveng']));}else
  {$nazeveng=htmlspecialchars($_GET['nazeveng']);}
} else{$nazeveng=htmlspecialchars($data['nazeveng']);}

if (isset($_GET['popis'])){
  if ($slashes==1){$popis=htmlspecialchars(stripslashes($_GET['popis']));}else
  {$popis=htmlspecialchars($_GET['popis']);}
} else{$popis=htmlspecialchars($data[$pop]);}

if (isset($_GET['rozsah'])){
  if ($slashes==1){$rozsah=htmlspecialchars(stripslashes($_GET['rozsah']));}else
  {$rozsah=htmlspecialchars($_GET['rozsah']);}
} else{$rozsah=htmlspecialchars($data['rozsah']);}

if (isset($_GET['literatura'])){
  if ($slashes==1){$literatura=htmlspecialchars(stripslashes($_GET['literatura']));}else
  {$literatura=htmlspecialchars($_GET['literatura']);}
} else{$literatura=htmlspecialchars($data['literatura']);}

if (isset($_GET['resitel'])){
  if ($slashes==1){$resitel=htmlspecialchars(stripslashes($_GET['resitel']));}else
  {$resitel=htmlspecialchars($_GET['resitel']);}
} else{$resitel=htmlspecialchars($data['resitel']);}

if (isset($_GET['odkaz'])){
  if ($slashes==1){$odkaz=htmlspecialchars(stripslashes($_GET['odkaz']));}else
  {$odkaz=htmlspecialchars($_GET['odkaz']);}
} else{$odkaz=htmlspecialchars($data['odkaz']);}


?>
<br /><a onclick="return confirm('Opravdu smazat záznam?')" href="allupdpr.php?del=1&amp;idprj=<?php echo "$idprj&amp;prj=$prj&amp;".SID;?>">Smazat tento projekt!</a>
<form  name="alledtpr" onsubmit="return kontrola_formulare();" action="allupdpr.php?<?php echo(SID); ?>" method="post">
<input type="hidden" name="prj" value="<?php echo $prj;?>" />
<input type="hidden" name="idprj" value="<?php echo $idprj;?>" />
<b>Název <font color="red">*</font></b><br /><textarea name="nazev" cols="40" rows="2"><?php echo $nazev;?></textarea><br />
<b>Anglický název </b><br /><textarea name="nazeveng" cols="40" rows="2"><?php echo $nazeveng;?></textarea><br /><br />
<b>Popis </b><br /><textarea name="popis" cols="40" rows="4"><?php echo $popis;?></textarea><br /><br />
<b>Rozsah </b><br /><textarea name="rozsah" cols="40" rows="2"><?php echo $rozsah;?></textarea>
<br />
<b>Literatura </b><br /><textarea name="literatura" cols="40" rows="2"><?php echo $literatura;?></textarea>
<br />
<b>Řešitel </b><br /><textarea name="resitel" cols="40" rows="2"><?php echo $resitel;?></textarea>
<br />
<b>Odkaz </b><br /><textarea name="odkaz" cols="40" rows="2"><?php echo $odkaz;?></textarea>
<br /><br />
<input type="submit" name="odeslane" value="Odeslat" /> <input type="reset" value="Reset" /></form>



<?php
 }
 
$db->close();
}
?>



</body>
</html>

